	program printgps 
 
	implicit none

	integer maxa,i
	parameter (maxa=69)
	character*(4) sname(maxa)
	double precision lat(maxa),lon(maxa),height(maxa)
	double precision x(maxa),y(maxa),z(maxa)
	double precision ex(maxa),ey(maxa),ez(maxa)
      open(15,file='gps2.new',form='formatted',access='sequential')
      open(16,file='new.vel',form='formatted',access='sequential')
      open(17,file='new.pos',form='formatted',access='sequential')
      do i = 1, maxa
      read(15,*)sname(i),lat(i),lon(i),height(i),y(i),x(i),z(i),ey(i)
     &,ex(i),ez(i)
      write(16,'(2a4,3f15.2,3f9.2)')sname(i),' VEL',x(i),y(i),z(i),
     &ex(i)+0.3,ey(i)+0.3,ez(i)
      write(17,'(2a4,2f15.9,f12.2,3f9.2)')sname(i),' POS',lat(i),lon(i),
     &height(i),ex(i),ey(i),ez(i) 
      end do
      close(15)
      close(16)
      close(17)
	end 
